## chromium 136.0.7103.59

=== debian/changelog ===
chromium (136.0.7103.59-2~deb12u2) bookworm-security; urgency=high

  * Temporarily disable CVE verification check in order to fix build;
    will be restored on next upload.

 -- Andres Salomon <dilinger@debian.org>  Thu, 01 May 2025 12:18:24 -0400

chromium (136.0.7103.59-2~deb12u1) bookworm-security; urgency=high

  * Delete third_party/jetstream due to non-free ("do no evil") license.

 -- Andres Salomon <dilinger@debian.org>  Wed, 30 Apr 2025 17:38:38 -0400

chromium (136.0.7103.59-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-4096: Heap buffer overflow in HTML. Reported by Anonymous.
    - CVE-2025-4050: Out of bounds memory access in DevTools.
      Reported by Anonymous.
    - CVE-2025-4051: Insufficient data validation in DevTools.
      Reported by Daniel Fröjdendahl.
    - CVE-2025-4052: Inappropriate implementation in DevTools.
      Reported by vanillawebdev.
  * d/rules: disable warning-suppression-mappings; llvm too old.
  * d/control: drop libevent-dev build-dep, no longer used.
  * d/scripts/unbundle:
    - libavif no longer used, no need to specify bundling.
    - bundle simdutf, which isn't packaged for debian.
  * d/patches:
    - fixes/pipewire14.patch: drop, merged upstream.
    - disable/catapult.patch: refresh.
    - disable/buildtools-libc.patch: rework patch to be easier to maintain.
    - bookworm/gn-revert-path-exists.patch: update for a bunch of new
      path_exists() users.
    - disable/node-version-ck.patch: add patch to disable upstream's strict
      nodejs version check.
    - fixes/media-cstdint.patch: add missing header include.
    - upstream/media-optional.patch: add missing header include.
    - fixes/perfetto-nullptr.patch: add nullptr_t std qualification.
    - bookworm/gn-absl.patch: refresh.
    - bookworm/crabbyav1f.patch: update for changed rustflags location.
    - bookworm/node18-import.patch: add patch to work around bookworm's
      node 18 import rules.
    - bookworm/rust-is-none-or.patch: add patch to work around missing
      is_none_or() function in bookworm's rust 1.78.
    - bookworm/fmodf.patch: add gcc-12 specific build fix.
    - bookworm/dav1d-extern.patch: add linker fix for older libdav1d.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-third_party-lss-Don-t-look-for-mmap2-on-ppc64.patch:
      drop due to upstream fixes
    - third_party/0002-third_party-lss-kernel-structs.patch: refresh for
      upstream changes
    - breakpad/0001-Implement-support-for-ppc64-on-Linux.patch: refresh for
      upstream changes
    - core/cargo-add-ppc64.diff: drop due to upstream fixes

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Apr 2025 17:21:56 -0400

chromium (135.0.7049.114-1) unstable; urgency=high

  * New upstream security release.

 -- Andres Salomon <dilinger@debian.org>  Tue, 22 Apr 2025 22:42:31 -0400
