## chromium 136.0.7103.113

=== debian/changelog ===
chromium (136.0.7103.113-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-4664: Insufficient policy enforcement in Loader.
      Source: X post from @slonser_.
    - CVE-2025-4609: Incorrect handle provided in unspecified circumstances
      in Mojo. Reported by Micky.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 May 2025 14:41:31 -0400

chromium (136.0.7103.92-2) unstable; urgency=high

  * d/patches/upstream/arm32-crel.patch: add another armhf FTBFS fix;
    linking with CREL causes segfaults.

 -- Andres Salomon <dilinger@debian.org>  Wed, 07 May 2025 12:11:17 -0400
