=== debian/control ===
Source: chromium
Section: web
Priority: optional
Maintainer: Debian Chromium Team <chromium@packages.debian.org>
Uploaders:
 Andres Salomon <dilinger@debian.org>,
 Timothy Pearson <tpearson@raptorengineering.com>,
Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
Homepage: http://www.chromium.org/Home
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 devscripts,
 lld-19,
 clang-19,
 clang-format-19,
 libclang-rt-19-dev,
 rustc-web (>= 1.74),
 bindgen,
 python3,
 pkgconf,
 ninja-build,
 python3-jinja2,
 python3-pkg-resources,
 ca-certificates,
 elfutils,
 wget,
 flex,
 yasm,
 xvfb,
 wdiff,
 gperf,
 bison,
 nodejs,
 node-rollup-plugin-terser,
 rollup,
 valgrind,
 xz-utils,
 x11-apps,
 xcb-proto,
 xfonts-base,
 libdav1d-dev,
 libx11-xcb-dev,
 libxshmfence-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 libopenh264-dev,
 generate-ninja,
 mesa-common-dev,
 rapidjson-dev,
 libva-dev,
 libxt-dev,
 libgbm-dev,
 libpng-dev,
 libxss-dev,
 libelf-dev,
 libpci-dev,
 libcap-dev,
 libffi-dev,
 libkrb5-dev,
 libexif-dev,
 libflac-dev,
 libudev-dev,
 libpipewire-0.3-dev,
 libopus-dev,
 libxtst-dev,
 libjpeg-dev,
 libxml2-dev (<< 2.10),
 libgtk-3-dev,
 libxslt1-dev,
 liblcms2-dev,
 libpulse-dev,
 libpam0g-dev,
 libdouble-conversion-dev,
 libxnvctrl-dev,
 libglib2.0-dev,
 libasound2-dev,
 libsecret-1-dev,
 libspeechd-dev,
 libminizip-dev,
 libhunspell-dev,
 libharfbuzz-dev,
 libxcb-dri3-dev,
 libusb-1.0-0-dev,
 libopenjp2-7-dev,
 libmodpbase64-dev,
 libnss3-dev,
 libnspr4-dev,
 libcups2-dev,
 libevdev-dev,
 libgcrypt20-dev,
 libcurl4-openssl-dev,
 libzstd-dev,
 fonts-ipafont-gothic,
 fonts-ipafont-mincho,

Package: chromium
Architecture: i386 amd64 arm64 armhf ppc64el
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgtk-3-0 | xdg-desktop-portal-backend,
 chromium-common (= ${binary:Version}),
Recommends:
 chromium-sandbox,
Suggests:
 chromium-l10n,
 chromium-shell,
 chromium-driver,
Provides:
 www-browser,
 gnome-www-browser,
Breaks:
 chromium-lwn4chrome (<= 1.0-2),
 chromium-tt-rss-notifier (<= 0.5.2-2),
Conflicts:
 libnettle4,
 libsecret-1-0 (<< 0.18),
 libgl1-mesa-swx11,
Description: web browser
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the web browser component.

Package: chromium-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 chromium (>= ${source:Version}), chromium (<< ${source:Version}.1~),
Description: web browser - language packs
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains language packages for:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: chromium-shell
Architecture: i386 amd64 arm64 armhf ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium-common (= ${binary:Version}),
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - minimal shell
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a minimal version of the chromium user interface
 (the content shell).

Package: chromium-headless-shell
Architecture: i386 amd64 arm64 armhf ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium-common (= ${binary:Version}),
Description: web browser - old headless shell
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a headless (no GUI) version of the chromium browser,
 which can be useful for doing things like generating PDFs. It is
 equivalent to the 'chromium --headless=old' option that was removed.

Package: chromium-driver
Architecture: i386 amd64 arm64 armhf ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium (= ${binary:Version}),
Description: web browser - WebDriver support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a bridge between the browser component and the selenium
 automatic webdriver.

Package: chromium-common
Architecture: i386 amd64 arm64 armhf ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 xdg-utils,
Recommends:
 upower,
 udev,
 libgl1-mesa-dri,
 chromium-sandbox,
 fonts-liberation,
 notification-daemon,
 system-config-printer,
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - common resources used by the chromium packages
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains resources that are in common to different chromium
 packages.

Package: chromium-sandbox
Architecture: i386 amd64 arm64 armhf ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - setuid security sandbox for chromium
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the setuid chromium sandbox.
