=== debian/rules ===
--- 
+++ 
@@ -160,6 +160,13 @@
 	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
 
 override_dh_auto_configure: test_armhf_neon set_up_bindgen
+	# verify that we're not accidentally uploading to stable-security without CVEs
+	@echo "$(DIST)" | grep -q -- '-security' && { \
+		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
+			echo "ERROR: security upload with no CVEs listed. You should fix that."; \
+			exit 1; \
+		} \
+	} || true
 	# use system node w/out patching source; upstream hardcodes x64 in path
 	mkdir -p third_party/node/linux/node-linux-x64/bin
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
@@ -221,10 +228,3 @@
 url=https://github.com/chromium-linux-tarballs/chromium-tarballs/releases/download/$(version)
 tarfile=$(extract)-linux.tar
 endif
-version:=$(shell dpkg-parsechangelog -S Version | sed s/-.*//)
-extract=chromium-$(version)
-tarball=$(tarfile).xz
-debvers=../chromium_$(version)
-seconds=$(debvers).seconds
-origtxz=$(debvers).orig.tar.xz
-removed=$(debvers).files-removed
