## chromium 137.0.7151.55~linuxmint1+faye

=== debian/changelog ===
chromium (137.0.7151.55~linuxmint1+faye) unstable; urgency=medium

  * 137.0.7151.55

 -- Linux Mint <root@linuxmint.com>  Tue, 27 May 2025 18:36:16 +0100

chromium (136.0.7103.113~linuxmint1) unstable; urgency=medium

  * 136.0.7103.113

 -- Linux Mint <root@linuxmint.com>  Wed, 14 May 2025 18:14:22 +0100
