## chromium 137.0.7151.55~linuxmint1+virginia

=== debian/changelog ===
chromium (137.0.7151.55~linuxmint1+virginia) unstable; urgency=medium

  * 137.0.7151.55

 -- Linux Mint <root@linuxmint.com>  Tue, 27 May 2025 18:36:16 +0100
