## chromium 137.0.7151.68

=== debian/changelog ===
chromium (137.0.7151.68-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon]
  * New upstream security release.
    - CVE-2025-5419: Out of bounds read and write in V8. Reported by
      Clement Lecigne and Benoît Sevens of Google Threat Analysis Group.
    - CVE-2025-5068: Use after free in Blink. Reported by Walkman.

  [ Jianfeng Liu ]
  * d/patches/ppc64le: merge ppc64le sandbox syscall patches

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Jun 2025 12:23:46 -0400
