=== debian/control ===
--- 
+++ 
@@ -13,16 +13,17 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
- lld-19,
- clang-19,
- clang-format-19,
+ lld-19:native,
+ clang-19:native,
+ clang-format-19:native,
  libclang-rt-19-dev,
- rustc-web (>= 1.74),
- bindgen,
- python3,
+ rustc-web:any (>= 1.74),
+ libstd-rust-dev (>= 1.74) <cross>,
+ bindgen:native,
+ python3:any,
  pkgconf,
  ninja-build,
- python3-jinja2,
+ python3-jinja2:native,
  python3-pkg-resources,
  ca-certificates,
  elfutils,
@@ -33,12 +34,11 @@
  wdiff,
  gperf,
  bison,
- nodejs,
- node-rollup-plugin-terser,
+ nodejs:any,
+ node-rollup-plugin-terser:native,
  rollup,
  valgrind,
  xz-utils,
- x11-apps,
  xcb-proto,
  xfonts-base,
  libdav1d-dev,
@@ -49,7 +49,7 @@
  libegl1-mesa-dev,
  libgles2-mesa-dev,
  libopenh264-dev,
- generate-ninja,
+ generate-ninja:native,
  mesa-common-dev,
  rapidjson-dev,
  libva-dev,
@@ -87,7 +87,6 @@
  libxcb-dri3-dev,
  libusb-1.0-0-dev,
  libopenjp2-7-dev,
- libmodpbase64-dev,
  libnss3-dev,
  libnspr4-dev,
  libcups2-dev,
@@ -97,6 +96,11 @@
  libzstd-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
+ qemu-user <cross>,
+Build-Conflicts:
+ bindgen-0.56,
+ bindgen-0.65,
+ rustc-1.74,
 
 Package: chromium
 Architecture: i386 amd64 arm64 armhf ppc64el
