=== debian/rules ===
--- 
+++ 
@@ -182,6 +182,13 @@
 	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
 
 override_dh_auto_configure: test_armhf_neon set_up_bindgen
+	# verify that we're not accidentally uploading to stable-security without CVEs
+	@echo "$(DIST)" | grep -q -- '-security' && { \
+		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
+			echo "ERROR: security upload with no CVEs listed. You should fix that."; \
+			exit 1; \
+		} \
+	} || true
 	# use system node w/out patching source; upstream hardcodes x64 in path
 	mkdir -p third_party/node/linux/node-linux-x64/bin
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
@@ -222,10 +229,3 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
-	rm -rf debian/bindgen/root
-	rm -rf third_party/node/linux/node-linux-x64
-	rm -rf out
-	rm -rf third_party/node/node_modules/rollup
-	rm -f third_party/devtools-frontend/src/node_modules/rollup3
-	# bullseye workarounds; delete this post-bullseye
-	rm -rf third_party/node/node_modules/acorn
